| Home | Libraries | People | FAQ | More

## Struct default_context

boost::proto::context::default_context — An evaluation context that gives the operators their normal C++ semantics.

## Synopsis

    struct default_context {
      template<typename Expr, typename ThisContext = default_context const>
      struct eval :  proto::context::default_eval< Expr, ThisContext > {
      };
    };

## Description

An evaluation context that gives the operators their normal C++ semantics.